package com.inspect.patrol.model;

import lombok.Getter;

import java.io.Serializable;

@Getter
public class SnapModel implements Serializable {
    private String patrolDeviceCode;
    private String channelCode;
    private String serial;
    private String code;
    private boolean realtime = true;
    private boolean checkOutputs = true;

    public void setCheckOutputs(boolean checkOutputs) {
        this.checkOutputs = checkOutputs;
    }

    public void setRealtime(boolean realtime) {
        this.realtime = realtime;
    }

    public void setChannelCode(String channelCode) {
        this.code = this.channelCode = channelCode;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public void setPatrolDeviceCode(String patrolDeviceCode) {
        this.serial = this.patrolDeviceCode = patrolDeviceCode;
    }

    public void setSerial(String serial) {
        this.serial = serial;
    }
}
